package fct.ample.REVMLInterpretor.FMPUtils;


import org.jdom.JDOMException;

/**
 * This class implements an exception that is launched when a XML File is
 * considered invalid against its XML Schema.
 * @author Andr Sousa
 */
public class InvalidXMLFileException extends JDOMException {
	static final long serialVersionUID = 12L;

	/**
	 * The default constructor for class {@link InvalidXMLFileException}.
	 * @param error The error message associated with this exception. 
	 */
	public InvalidXMLFileException(String error) {
		super(error);
	}
}
