package org.ample.vml.vml4arch.wizards;

import org.openarchitectureware.xtext.LanguageUtilities;
import org.openarchitectureware.xtext.editor.wizards.AbstractNewProjectWizard;

import org.ample.vml.vml4arch.Vml4archEditorPlugin;

public class NewVml4archProjectWizard extends AbstractNewProjectWizard {

	public NewVml4archProjectWizard() {
		super();
		setLangName("vml4arch");
		setGeneratorProjectName("org.ample.vml.vml4arch.generator");
		setDslProjectName("org.ample.vml.vml4arch");
		setFileExtension("vml4arch");
		setPackageName("org/ample/vml/vml4arch/");
	}
	
	@Override
	protected LanguageUtilities getUtilities() {
		return Vml4archEditorPlugin.getDefault().getUtilities();
	}
}

