package uma.vml4arch.library.javaHelperClasses;


import org.eclipse.uml2.uml.LiteralBoolean;
import org.eclipse.uml2.uml.LiteralInteger;
import org.eclipse.uml2.uml.LiteralString;
import org.eclipse.uml2.uml.LiteralUnlimitedNatural;


public class LiteralHelper {
	
	static public void setValue(Object o, String myString) {
		
		if(o instanceof LiteralString)
		{
			((LiteralString)o).setValue(myString);
		}
		else if (o instanceof LiteralInteger){
			((LiteralInteger)o).setValue(Integer.parseInt(myString));
		}
		else if (o instanceof LiteralBoolean){
			((LiteralBoolean)o).setValue(Boolean.parseBoolean(myString));
		}
		else if (o instanceof LiteralUnlimitedNatural){
			if (myString.equals("*")){
				((LiteralUnlimitedNatural)o).setValue(LiteralUnlimitedNatural.UNLIMITED);
			}
			else{
				((LiteralUnlimitedNatural)o).setValue(Integer.parseInt(myString));
			}
		}
	}
	
	
	static public void setValue(Object o, Boolean myString) {
		
		if (o instanceof LiteralBoolean){
			((LiteralBoolean)o).setValue(myString);
		}
	}
	



}
