package org.ample.vml.vml4arch.resource;

import java.io.InputStream;

import org.eclipse.emf.common.util.URI;
import org.openarchitectureware.workflow.util.ResourceLoaderImpl;
import org.openarchitectureware.xtext.parser.IXtextParser;
import org.openarchitectureware.xtext.resource.AbstractXtextResource;

import org.ample.vml.vml4arch.parser.XtextParser;

public class vml4archResource extends AbstractXtextResource {
	public vml4archResource(URI uri) {
		super(uri);
		setFormattingExtension("org::ample::vml::vml4arch::Formatting");
		setResourceLoader(new ResourceLoaderImpl(XtextParser.class.getClassLoader()));
	}

	@Override
	protected IXtextParser createParser(InputStream inputStream) {
		return new XtextParser(inputStream);
	}

}

