package org.ample.vml.vml4req.wizards;

import org.openarchitectureware.xtext.LanguageUtilities;
import org.openarchitectureware.xtext.editor.wizards.AbstractNewProjectWizard;

import org.ample.vml.vml4req.Vml4reqEditorPlugin;

public class NewVml4reqProjectWizard extends AbstractNewProjectWizard {

	public NewVml4reqProjectWizard() {
		super();
		setLangName("vml4req");
		setGeneratorProjectName("org.ample.vml.vml4req.generator");
		setDslProjectName("org.ample.vml.vml4req");
		setFileExtension("vml4req");
		setPackageName("org/ample/vml/vml4req/");
	}
	
	@Override
	protected LanguageUtilities getUtilities() {
		return Vml4reqEditorPlugin.getDefault().getUtilities();
	}
}

